JavaScript/jQuery TileView - Keyboard Support

An end user can use the following keys to interact with the UI component.

Key Action
Shift + Mouse Wheel Scrolls the content left/right if the direction property is "horizontal".
←→↑↓ Moves focus to the neighboring tile.
Home Moves focus to the very first tile.
End Moves focus to the very last tile.
Enter or Space Selects the focused tile.

Use the registerKeyHandler(key, handler) method to implement a custom handler for a key.

JavaScript
  • function registerKeyHandlers () {
  • const tileView = $("#tileViewContainer").dxTileView("instance");
  • tileView.registerKeyHandler("backspace", function(e) {
  • // The argument "e" contains information on the event
  • });
  • tileView.registerKeyHandler("space", function(e) {
  • // ...
  • });
  • }
See Also

React TileView - Keyboard Support

An end user can use the following keys to interact with the UI component.

Key Action
Shift + Mouse Wheel Scrolls the content left/right if the direction property is "horizontal".
←→↑↓ Moves focus to the neighboring tile.
Home Moves focus to the very first tile.
End Moves focus to the very last tile.
Enter or Space Selects the focused tile.

Use the registerKeyHandler(key, handler) method to implement a custom handler for a key.

App.js
  • import React from 'react';
  • import 'devextreme/dist/css/dx.light.css';
  •  
  • import { TileView } from 'devextreme-react/tile-view';
  •  
  • class App extends React.Component {
  • constructor(props) {
  • super(props);
  •  
  • this.tileViewRef = React.createRef();
  • }
  •  
  • render() {
  • return (
  • <TileView ref={this.tileViewRef} />
  • );
  • }
  •  
  • get tileView() {
  • return this.tileViewRef.current.instance();
  • }
  •  
  • componentDidMount() {
  • this.tileView.registerKeyHandler('backspace', function(e) {
  • // The argument "e" contains information on the event
  • });
  • this.tileView.registerKeyHandler('space', function(e) {
  • // ...
  • });
  • }
  • }
  •  
  • export default App;
See Also